import { Injectable } from "@nestjs/common";
import { ReadJsonService } from "../read_json/read-json.service";
import { CreateKlinikaDto } from "./dto/create-klinika.dto";
import { UpdateKlinikaDto } from "./dto/update-klinika.dto";

@Injectable()
export class KlinikaService {
  constructor(private readonly readJsonService: ReadJsonService) {}
  create(createKlinikaDto: CreateKlinikaDto) {
    const records = this.readJsonService.getAll();
    records.forEach((record: any) => {
      console.log(record.klinika);
    });
    return "This action adds a new klinika";
  }

  findAll() {
    return `This action returns all klinika`;
  }

  findOne(id: number) {
    return `This action returns a #${id} klinika`;
  }

  update(id: number, updateKlinikaDto: UpdateKlinikaDto) {
    return `This action updates a #${id} klinika`;
  }

  remove(id: number) {
    return `This action removes a #${id} klinika`;
  }
}
